.main_modal {
	display: none;
	position: fixed;
	z-index: 99999999999999;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.6);
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 10% 30px;
	box-sizing: border-box;
	flex-direction: column;  /* 세로 정렬 */
	justify-content: flex-start;
	gap: 15px;
	overflow-y: auto;
}
.main_modal .modal-content {
	width: 100%;
	max-width: 380px;
	 /* max-height: 90vh; 세로 제한 */
	box-sizing: border-box;
	border-radius: 20px 20px 0 0;
	/*overflow-y: auto;*/
}
.main_modal .modal-content img {
	width: 100%;
	height: auto;
	display: block;
	border-radius: 20px 20px 0 0;
	overflow:hidden
}
.main_modal .modal-buttons {
	display: flex;
	justify-content: space-between;
	padding: 15px;
	border-radius: 0 0 20px 20px;
	background: #fff;
}
.main_modal .modal-buttons button {
	flex: 1;
	padding: 0px;
	margin: 0 5px;
	font-size: 15px;
	border: none;
	border-radius: 8px;
	color: #666;
	text-align: left;
}
.main_modal .modal-buttons button:last-child {
	text-align: right;
	padding-right: 5px;
    flex: none;
    width: 30%;
}

.main_modal .modal-close{
    position: fixed;
    top: 40px;
    right: 8%;
    width: 45px;
    height: 45px;
    border-radius: 100%;
    background: url('data:image/svg+xml;utf8,<svg stroke="%23999" stroke-width="3" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M18 6L6 18M6 6l12 12"/></svg>') no-repeat center / 28px 28px;
    border: none;
    background-color: #fff;
    cursor: pointer;
    text-indent: -999999px;
}